# Authentication stuff

password_config:
  policy:
    enabled: only_for_reauth
    localdb_enabled: false
    
password_providers:
  - module: "ldap_auth_provider.LdapAuthProvider"
    config:
      enabled: true
      uri: "ldap://ldap.example.com"
      start_tls: true
      mode: "search"
      base: "ou=users,o=Example,dc=example,dc=eu"
      attributes:
         uid: "uid"
         mail: "mail"
         name: "cn"
      filter: "(&(objectClass=posixAccount)(accountStatus=active))"
      bind_dn: "cn=matrix,ou=service,dc=example,dc=com"
      bind_password: "<very secure password>"
